Bug 1914879 - python-sphinxcontrib-svg2pdfconverter fails to build with Python 3.10: TypeError: expected str, bytes or os.PathLike object, not NoneType
Summary: python-sphinxcontrib-svg2pdfconverter fails to build with Python 3.10: TypeEr...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sphinxcontrib-svg2pdfconverter
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julian Sikorski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-01-11 12:05 UTC by Tomáš Hrnčiar
Modified: 2021-02-01 17:31 UTC (History)
3 users (show)

Fixed In Version: 1.1.1-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-01 17:31:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2021-01-11 12:05:02 UTC
python-sphinxcontrib-svg2pdfconverter fails to build with Python 3.10.0a4.

Traceback (most recent call last):
  File "/builddir/build/BUILD/sphinxcontrib-svg2pdfconverter-1.1.1/setup.py", line 14, in <module>
    setup(
  File "/usr/lib/python3.10/site-packages/setuptools/__init__.py", line 153, in setup
    return distutils.core.setup(**attrs)
  File "/usr/lib64/python3.10/distutils/core.py", line 148, in setup
    dist.run_commands()
  File "/usr/lib64/python3.10/distutils/dist.py", line 966, in run_commands
    self.run_command(cmd)
  File "/usr/lib64/python3.10/distutils/dist.py", line 985, in run_command
    cmd_obj.run()
  File "/usr/lib/python3.10/site-packages/setuptools/command/test.py", line 232, in run
    self.run_tests()
  File "/usr/lib/python3.10/site-packages/setuptools/command/test.py", line 250, in run_tests
    test = unittest.main(
  File "/usr/lib64/python3.10/unittest/main.py", line 100, in __init__
    self.parseArgs(argv)
  File "/usr/lib64/python3.10/unittest/main.py", line 124, in parseArgs
    self._do_discovery(argv[2:])
  File "/usr/lib64/python3.10/unittest/main.py", line 244, in _do_discovery
    self.createTests(from_discovery=True, Loader=Loader)
  File "/usr/lib64/python3.10/unittest/main.py", line 154, in createTests
    self.test = loader.discover(self.start, self.pattern, self.top)
  File "/usr/lib64/python3.10/unittest/loader.py", line 349, in discover
    tests = list(self._find_tests(start_dir, pattern))
  File "/usr/lib64/python3.10/unittest/loader.py", line 405, in _find_tests
    tests, should_recurse = self._find_test_path(
  File "/usr/lib64/python3.10/unittest/loader.py", line 483, in _find_test_path
    tests = self.loadTestsFromModule(package, pattern=pattern)
  File "/usr/lib/python3.10/site-packages/setuptools/command/test.py", line 42, in loadTestsFromModule
    for file in resource_listdir(module.__name__, ''):
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 1147, in resource_listdir
    return get_provider(package_or_requirement).resource_listdir(
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 349, in get_provider
    return _find_adapter(_provider_factories, loader)(module)
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 1378, in __init__
    self.module_path = os.path.dirname(getattr(module, '__file__', ''))
  File "/usr/lib64/python3.10/posixpath.py", line 152, in dirname
    p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not NoneType

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01872844-python-sphinxcontrib-svg2pdfconverter/

For all our attempts to build python-sphinxcontrib-svg2pdfconverter with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-sphinxcontrib-svg2pdfconverter/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Tomáš Hrnčiar 2021-01-20 15:41:42 UTC
Hello, is there any update on this? It blocks testing of 2 other packages (python-nbsphinx, python-octaviaclient) with Python 3.10. Thank you.

Comment 2 Julian Sikorski 2021-01-20 17:30:17 UTC
Reported upstream:
https://github.com/missinglinkelectronics/sphinxcontrib-svg2pdfconverter/issues/14


Note You need to log in before you can comment on or make changes to this bug.